# fastangle::tan Class Reference

fastangle representation as a tangent function More...

`#include <_fastangle.h>`

Inheritance diagram for fastangle::tan:

List of all members.

## Public Member Functions

| tan (const value_type &x)
| tan (const value_type &y, const value_type &x)
| tan (const fastangle &a)
tan | mod () const
| Rotation Modulus.
tan | dist (const fastangle &rhs) const
| fastangle Difference Function
| operator value_type () const
value_type | get () const

## Detailed Description

fastangle representation as a tangent function

========================================================================

A more detailed description needs to be written.

Definition at line 376 of file _fastangle.h.

## Constructor & Destructor Documentation

fastangle::tan::tan | ( | const value_type & | x | ) | `[inline]`

Definition at line 379 of file _fastangle.h.

References _fastangle_atan_table, fixed_base< T, FIXED_BITS >::data(), ETL_FASTANGLE_LOOKUP_RES, and fastangle::v.

fastangle::tan::tan | ( | const value_type & | y,
|  | const value_type & | x |
| ) |  |  | `[inline]`

Definition at line 389 of file _fastangle.h.

References _fastangle_atan_table, fixed_base< T, FIXED_BITS >::data(), ETL_FASTANGLE_LOOKUP_RES, and fastangle::v.

fastangle::tan::tan | ( | const fastangle & | a | ) | `[inline]`

Definition at line 421 of file _fastangle.h.

## Member Function Documentation

tan fastangle::tan::mod | ( |  | ) | const`[inline]`

Rotation Modulus.

This function will return the value of the fastangle between 0 and 2PI

Reimplemented from fastangle.

Definition at line 422 of file _fastangle.h.

References fastangle::mod().

tan fastangle::tan::dist | ( | const fastangle & | rhs | ) | const`[inline]`

fastangle Difference Function

This function will return the shortest physical distance between two angles, from -PI/2 to PI/2

Warning:
  Not yet tested

See also:
  fastangle operator-(const fastangle &)

Reimplemented from fastangle.

Definition at line 423 of file _fastangle.h.

References fastangle::dist().

fastangle::tan::operator value_type | ( |  | ) | const`[inline]`

Definition at line 424 of file _fastangle.h.

value_type fastangle::tan::get | ( |  | ) | const`[inline]`

Definition at line 425 of file _fastangle.h.

References _fastangle_tan_table, fixed_base< T, FIXED_BITS >::data(), ETL_FASTANGLE_LOOKUP_RES, and fastangle::v.

The documentation for this class was generated from the following file:

- _fastangle.h